<?php

################################################
# EVILCMS FLATFILE RECODE - 100% FUNCTIONALITY #
################################################

Session_Start();

Include "Configuration.php";
$ALLOWS = array("staff", "news", "home", "register", "rules", "profile", "ban", "unban", "bancontrol", "looks", "badgemanagement", "edituser", "credits", "groups", "info", "housekeeping", "articlehelp", "editarticles", "addvouchers");
If($CMS->Details['USE_CHAT'] == 1): $ALLOWS[count($ALLOWS)+1] = "chat"; endif;

If(Isset($_GET['Login']) && !$CMS->LoggedIn):
	If($CMS->Login(strtolower($_POST['username']), $_POST['password'])) {
		Echo "<script>alert('Welcome back, ".$_POST['username']."');</script>";
		$CMS->Redirect($CMS->Conf['WWW']."/Index.php", 0);
	}else{
		Echo "<script>alert('Invalid details specified.');</script>";
	}
Endif;

If($CMS->LoggedIn) {
	$_USER = $CMS->User_Load($_SESSION[$CMS->SessionName]);
}

$CMS->Prechecks();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<link href="styles/layout.css" rel="stylesheet" type="text/css" />
		<link href="styles/print.css" rel="stylesheet" type="text/css" />
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta name="EvilCMS-Build" content="<?php print $CMS->Details['BUILD']; ?>">
		<title><?php print $CMS->Details['HOTEL_NAME']; ?> - Powered by EvilCMS Ultimate</title>
		<!--[if IE 6]>
		<link href="./styles/ie6.css" rel="stylesheet" type="text/css" />
		<![endif]-->
	</head>
	<body>

		<div id="container">
			<div id="header">
				<p>&nbsp;</p>
				<p>&nbsp;</p>
			</div>
			<div id="menu"></div>
			<div id="subheader">
				<div id="rotator"></div>
				<div id="news">
					<div class="black">Latest News</div>
						<?php
							print $CMS->Articles_List();
						?>
				</div>
				<div id="zesty">
				</div>
			</div>
			<div id="subcontainer">
				<div id="left">

					<div class="top"></div>
					<div class="text">
						<div class="green"><?php print ($CMS->LoggedIn) ? "My Details" : "Login"; ?></div>
							<?php if($CMS->LoggedIn): ?>
							<h2 style="text-align: center;"><?php print $_USER['name']; ?>&nbsp;</h2><br />
							Credits: <?php print $_USER['credits']; ?><br />
							Tickets: <?php print $_USER['tickets']; ?><br />
							Films: <?php print $_USER['film']; ?><br />
							<?php if($_USER['hcdays'] >= 1): ?>
							HC Days: <?php print $_USER['hcdays']; ?><br />
							<?php else: ?>
							You dont have a HC membership.
							<?php endif; ?>
							<br />
							<?php if($CMS->User_GetBan($_USER['name'])): ?>
							<b>You have been banned at the hotel, reason:</b> <span style="color: darkred;"><?php print file_get_contents($CMS->DB."user_bans/".$_USER['name'].".reason"); ?></span><br />
							<?php endif; ?>
						
							<?php else: ?>
							<form method="post" action="?Login&p=<?php print (in_array($_GET['p'], $ALLOWS)) ? $_GET['p'] : "home"; ?>">
							Username:<br />
							<input type="text" name="username"><br />
							Password:<br />
							<input type="password" name="password"><br />
							<input type="submit" value="Login">
							</form>
							<?php endif; ?>
						</div>
					<div class="bottom"></div>
  
					<div class="top"></div>
					<div class="text">
						<div class="red">Statistics</div>
							<p>
							Users registered: <?php print file_get_contents($CMS->DB."/habbos/count.txt"); ?><br />
							Furnitures bought: <?php print file_get_contents($CMS->DB."/furni/count.txt"); ?><br />
							Rooms created: <?php print file_get_contents($CMS->DB."privaterooms/count.txt"); ?>
							</p>
						</div>
					<div class="bottom"></div>
				</div>

				<div id="center">
					<div id="content_top"></div>
					<div id="content">
						<div class="blue"><?php print (isset($_GET['p'])) ? str_ireplace("Badgemanagement", "Badge Management", str_ireplace("Articlehelp", "Article Help", ucfirst($_GET['p']))) : "Home"; ?></div>
							<?php
								if(isset($_GET['p'])):
									If(in_array(strtolower($_GET['p']), $ALLOWS)):
										Include "Page_".strtolower($_GET['p']).".php";
									Elseif($_GET['p'] == "logout" && $CMS->LoggedIn):
										Unset($_SESSION[$CMS->SessionName]);
										$CMS->Redirect($CMS->Conf['WWW']."/Index.php", 0);
									Else:
										Echo "Invalid page requested.";
									Endif;
								else:
									Include "Page_home.php";
								Endif;
							?>
						</div>
						<div id="content_bottom"></div>
				</div>

				<div id="right">
					<div class="top"></div>
					<div class="text">
						<div class="purple">Navigation</div>
							> <a href="?p=rules">The <?php print str_ireplace("hotel", "", str_ireplace("motel", "", $CMS->Details['HOTEL_NAME'])); ?> way</a><br />
							> <a href="?p=news">News and Announcements</a><br />
							> <a href="?p=info">Information</a><br />
							> <a href="?p=staff">Staff</a><br />
							<?php If($CMS->Details['USE_CHAT'] == 1): ?>
							> <a href="?p=chat">Chatbox</a><br />
							<?php endif; ?>
							<?php if($CMS->LoggedIn): ?>
							> <a href="?p=profile">Edit Profile</a><br />
							> <a href="Client.php">Enter Hotel</a><br />
							<?php If($CMS->Details['HOTEL_VERSION'] != 18): ?>
							>> <a href="?p=looks">Change Looks</a><br />
							<?php endif; ?>
							>> <a href="?p=badgemanagement">Manage Badges</a><br />
							<?php if($_USER['rank'] == "admin"): ?>
							> <a href="?p=housekeeping">Housekeeping</a><br />
							<?php endif; ?>
							> <a href="?p=logout">Logout</a><br />
							<?php else: ?>
							> <a href="?p=register">Register</a><br />
							<?php endif; ?>
						</div>
					<div class="bottom"></div>
				</div>

				<div id="clear"><br />
				</div>
		</div>
		<img src="images/bottom.gif" width="955" height="22" /></div>
	</body>
</html>